## fsl 5.0.4

=== src/avwutils/Makefile ===

include ${FSLCONFDIR}/default.mk

PROJNAME = avwutils

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscmaths -lprob -lfslio -lnewmat -lutils -lniftiio -lznz -lm -lz

IOLIBS = -lfslio -lniftiio -lznz -lm -lz

XFILES = fslorient fslstats fslmerge \
         fslpspec fslroi fslnvols fsl2ascii fslascii2img  \
         fslsplit fslcc fslinterleave \
         fslhd fslcpgeom fslcreatehd fslcorrecthd fslmaths \
         fslcomplex fslfft fslmeants fslslice fslswapdim_exe fslchfiletype_exe fslsmoothfill

SCRIPTS = fslval fslchpixdim fslanimate fslsize sliceanimate fslinfo fsledithd avw2fsl fslswapdim fslchfiletype fslreorient2std fslmodhd fsladd

FSCRIPTS = fmriborient 

all: ${XFILES}

fslstats: fslstats.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslstats.o ${LIBS} 

fslfft: fslfft.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslfft fslfft.cc ${LIBS}

fslmeants: fslmeants.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslmeants fslmeants.cc ${LIBS}

avwfixfloat: avwfixfloat.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o avwfixfloat avwfixfloat.cc ${LIBS}

fslcomplex: fslcomplex.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslcomplex fslcomplex.cc ${LIBS}

fslswapdim_exe: fslswapdim.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslswapdim_exe fslswapdim.o ${LIBS} 

fslorient: fslorient.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslorient.o ${LIBS} 

fslslice: fslslice.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslslice fslslice.cc ${LIBS}

fslpspec: fslpspec.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslpspec.o ${LIBS} 


#start of matts c++ rewrites
fslroi: fslroi.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslroi.o ${LIBS}

fslnvols: fslnvols.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslnvols.o ${LIBS}

fsl2ascii: fsl2ascii.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fsl2ascii.o ${LIBS}

fslascii2img: fslascii2img.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslascii2img.o ${LIBS}

fslsplit: fslsplit.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsplit.o ${LIBS}

fslmerge: fslmerge.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslmerge.o ${LIBS}

fslcc: fslcc.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcc.o ${LIBS}

fslinterleave: fslinterleave.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslinterleave.o ${LIBS}

fslhd: fslhd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslhd.o ${LIBS}

fslcpgeom: fslcpgeom.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcpgeom.o ${LIBS}

fslcorrecthd: fslcorrecthd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcorrecthd.o ${LIBS}

fslcreatehd: fslcreatehd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcreatehd.o ${LIBS}

fslmaths: fslmaths.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslmaths.o ${LIBS}

fsldecorr4d: fsldecorr4d.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fsldecorr4d.o ${LIBS}

fslchfiletype_exe: fslchfiletype.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslchfiletype_exe fslchfiletype.o ${LIBS}

fslsmoothfill: fslsmoothfill.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsmoothfill.o ${LIBS}

=== src/fdt/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = fdt

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_NEWRAN} -I${INC_CPROB} -I${INC_PROB} -I${INC_BOOST} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_NEWRAN} -L${LIB_CPROB} -L${LIB_PROB} -L${LIB_ZLIB}

DLIBS = -lwarpfns -lbasisfield -lmeshclass -lnewimage -lutils -lmiscmaths -lnewmat -lnewran -lfslio -lniftiio -lznz -lcprob -lprob -lm -lz

DTIFIT=dtifit
CCOPS=ccops
PTX=probtrackx
MED=medianfilter
ROM=reord_OM
SAUS=sausages
XFIBRES=xfibres
XFIBRES2=xfibres_2
RV=replacevols
MDV=make_dyadic_vectors
FMO=fdt_matrix_ops
INDEXER=indexer
TEST=testfile
VECREG=vecreg
KURTOSIS=kurtosis
SWAPDYADS=swap_dyadic_vectors
PVMFIT=pvmfit
DTIGEN=dtigen
RARNG=rearrange
XPRED=xfibres_pred
RUBIX=rubix


DTIFITOBJS=dtifit.o dtifitOptions.o diffmodels.o Bingham_Watson_approx.o
CCOPSOBJS=ccops.o ccopsOptions.o
PTXOBJS=probtrackx.o probtrackxOptions.o streamlines.o ptx_simple.o ptx_seedmask.o ptx_twomasks.o ptx_nmasks.o ptx_meshmask.o
MEDOBJS=medianfilter.o 
ROMOBJS=reord_OM.o
SAUSOBJS=sausages.o
XFIBOBJS=xfibres.o xfibresoptions.o diffmodels.o Bingham_Watson_approx.o 
XFIBOBJS2=xfibres_2.o xfibresoptions.o
RVOBJS=replacevols.o
MDVOBJS=make_dyadic_vectors.o
FMOOBJS=fdt_matrix_ops.o
INDEXEROBJS=indexer.o
TESTOBJS=testfile.o 
VECREGOBJS=vecreg.o
KURTOSISOBJS=kurtosis.o dtifitOptions.o
SWAPDYADSOBJS=swap_dyadic_vectors.o
PVMFITOBJS=pvmfit.o pvmfitOptions.o diffmodels.o Bingham_Watson_approx.o
DTIGENOBJS=dtigen.o
RARNGOBJS=rearrange.o
XPREDOBJS=xfibres_pred.o
RUBIXOBJS=rubix.o diffmodels.o rubixvox.o rubixoptions.o Bingham_Watson_approx.o

SGEBEDPOST = bedpost 
SGEBEDPOSTX = bedpostx bedpostx_postproc.sh bedpostx_preproc.sh bedpostx_single_slice.sh bedpostx_datacheck

SCRIPTS = eddy_correct zeropad maskdyads probtrack fdt_rotate_bvecs ${SGEBEDPOST} ${SGEBEDPOSTX} 
FSCRIPTS = correct_and_average ocmr_preproc

XFILES = dtifit ccops medianfilter make_dyadic_vectors vecreg xfibres probtrackx pvmfit dtigen

FXFILES = reord_OM sausages replacevols fdt_matrix_ops indexer rearrange xfibres_pred


RUNTCLS = Fdt

all: ${XFILES} ${FXFILES} 

${PTX}:		   ${PTXOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTXOBJS} ${DLIBS}

${PT}:		   ${PTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTOBJS} ${DLIBS} 

${FTB}:    	${FTBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FTBOBJS} ${DLIBS} 

${PJ}:    	${PJOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PJOBJS} ${DLIBS} 

${MED}:    	${MEDOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MEDOBJS} ${DLIBS} 

${DTIFIT}:    	${DTIFITOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DTIFITOBJS} ${DLIBS}

${CCOPS}:    	${CCOPSOBJS}	
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${CCOPSOBJS} ${DLIBS}

${ROM}:    	${ROMOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${ROMOBJS} ${DLIBS}

${SAUS}:    	${SAUSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SAUSOBJS} ${DLIBS}

${XFIBRES}:    	${XFIBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBOBJS} ${DLIBS}

${XFIBRES2}:    	${XFIBOBJS2}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBOBJS2} ${DLIBS}

${RV}:    	${RVOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RVOBJS} ${DLIBS}

${MDV}:    	${MDVOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MDVOBJS} ${DLIBS}

${FMO}:    	${FMOOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FMOOBJS} ${DLIBS}

${INDEXER}:    	${INDEXEROBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${INDEXEROBJS} ${DLIBS}

${TEST}:    	${TESTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${TESTOBJS} ${DLIBS}

${VECREG}:    	${VECREGOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${VECREGOBJS} ${DLIBS}


${KURTOSIS}:   ${KURTOSISOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${KURTOSISOBJS} ${DLIBS}

${SWAPDYADS}: ${SWAPDYADSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SWAPDYADSOBJS} ${DLIBS}

${PVMFIT}:    	${PVMFITOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PVMFITOBJS} ${DLIBS}

${DTIGEN}:    	${DTIGENOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DTIGENOBJS} ${DLIBS}

${RARNG}: 	${RARNGOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RARNGOBJS} ${DLIBS}

${XPRED}: 	${XPREDOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XPREDOBJS} ${DLIBS}

${RUBIX}: 	${RUBIXOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RUBIXOBJS} ${DLIBS}

=== src/feat5/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = feat5

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} 
USRLDFLAGS =  -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG}

IOLIBS = -lfslio -lniftiio -lznz
LIBS = -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lprob -lnewmat -lutils $(IOLIBS) -lm -lz  -lgdc -lgd -lpng

XFILES = cutoffcalc feat_model tsplot prewhiten generateConfounds popp pnm_evs

RUNTCLS = Feat Renderhighres Featquery Glm Pnm

SCRIPTS = easythresh feat mccutup renderhighres featregapply featquery fslerrorreport invfeatreg updatefeatreg estnoise perfusion_subtract match_smoothing fsl_motion_outliers feat_gm_prepare mp_diffpow.sh pnm_stage1 mainfeatreg checkFEAT setFEAT

all: ${XFILES} defaultfiles

defaultfiles:
	@if [ ! -d ${DESTDIR}/etc ] ; then ${MKDIR} ${DESTDIR}/etc ; ${CHMOD} g+w ${DESTDIR}/etc ; fi
	${CP} -rf default_flobs.flobs ${DESTDIR}/etc
	@if [ ! -d ${DESTDIR}/etc/fslconf ] ; then ${MKDIR} ${DESTDIR}/etc/fslconf ; ${CHMOD} g+w ${DESTDIR}/etc/fslconf ; fi
	${CP} -f featconf ${DESTDIR}/etc/fslconf/feat.tcl

featlib.o: featlib.cc featlib.h
	$(CXX) $(CXXFLAGS) -c -o featlib.o featlib.cc

generateConfounds: generateConfounds.cc
	$(CXX) $(CXXFLAGS) -o generateConfounds generateConfounds.cc $(LDFLAGS) $(LIBS)

tsplot: tsplot.cc featlib.o featlib.h
	$(CXX) $(CXXFLAGS) -o tsplot featlib.o tsplot.cc $(LDFLAGS) $(LIBS)

prewhiten: prewhiten.cc featlib.o featlib.h
	$(CXX) $(CXXFLAGS) -o prewhiten featlib.o prewhiten.cc $(LDFLAGS) $(LIBS)

cutoffcalc: cutoffcalc.cc 
	$(CXX) $(CXXFLAGS) -o cutoffcalc cutoffcalc.cc $(LDFLAGS) $(LIBS)

feat_model: feat_model.cc featlib.o
	$(CXX) $(CXXFLAGS) -o feat_model featlib.o feat_model.cc $(LDFLAGS) $(LIBS)

pnm_evs: pnm_evs.cc 
	$(CXX) $(CXXFLAGS) -o pnm_evs pnm_evs.cc $(LDFLAGS) $(LIBS)

popp: popp.cc 
	$(CXX) $(CXXFLAGS) -o popp popp.cc $(LDFLAGS) $(LIBS)

=== src/fslsurface/Makefile ===
# $Id: Makefile,v 1.18 2013/04/10 15:02:45 cowboy Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = fslsurface

LINUX_LIBS=-lGL -lGLU 
isapple = $(findstring apple, $(FSLMACHTYPE))
applebitness = -arch i386 -arch x86_64

ifeq ($(FSLMACHTYPE),apple-darwin8-gcc4.0)
        SYSROOT = -isysroot /Developer/SDKs/MacOSX10.4u.sdk -I/usr/X11R6/include/
        SYSROOTL = -L/Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib/ 
        applebitness = -arch i386
endif


ifeq ($(FSLMACHTYPE),apple-darwin12-gcc4.2)
        SYSROOT = -I/usr/X11R6/include/  
        applebitness = -arch x86_64
endif

ifeq ($(isapple),apple)
        ARCHFLAGS =  $(applebitness) $(SYSROOT) 
        ARCHLDFLAGS = -Wl,-search_paths_first ${applebitness} $(SYSROOT) $(SYSROOTL) -framework OpenGL -framework GLUT
	LINUX_LIBS=
endif 

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB} -I${FSLDIR}/include/niftiio 

USRLDFLAGS = -L${LIB_NEWMAT}  -L${INC_PROB} -L${LIB_ZLIB} -L./ 


LIBS=-lgiftiio -lexpat -lfirst_lib -lmeshclass
FMLIBS= -lshapeModel -lfslvtkio -lmeshclass -lnewimage -lmiscmaths  -lfslio -lniftiio -lznz -lnewmat -lutils -lprob -lz

APPLY_ZLIB = -DHAVE_ZLIB


SHAPEOBJS=fslsurface.o 
MODELOBJS=fslsurface.o

BRIANLIBFILES=fslsurfacegl.a
LIBFILES=fslsurface.a fslsurface_backcompat.a
XFILES=fslsurfacemaths

all:  ${LIBFILES} ${XFILES}

fslsurface.a: fslsurfacefns.o fslsurfaceio.o fslsurface.o 
	${AR} -r libfslsurface.a  fslsurfacefns.o fslsurfaceio.o fslsurface.o
fslsurfacegl.a: fslsurfacegl.o fslsurface.a
	${AR} -r libfslsurfacegl.a fslsurfacegl.o
fslsurface_backcompat.a: fslsurface_first.o fslsurface_dataconv.o fslsurface.a
	${AR} -r libfslsurface_backcompat.a fslsurface_first.o fslsurface_dataconv.o
fslsurfacemaths: fslsurface.a fslsurfacemaths.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsurfacemaths.o fslsurfaceio.o fslsurfacefns.o fslsurface_first.o fslsurface.o ${LIBS} ${FMLIBS} ${LINUX_LIBS}
marching_cubes: fslsurface.a marching_cubes.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ marching_cubes.o fslsurfaceio.o fslsurfacefns.o ${LIBS} ${FMLIBS} ${LINUX_LIBS}

=== src/melodic/Makefile ===
# A Makefile for MELODIC

include ${FSLCONFDIR}/default.mk

OPTFLAGS = -O3 -Wno-deprecated -ggdb
OPTFLAGS_alphaev6-dec-osf5.0-gcc2.95.2 = -O3 -mieee -mfp-trap-mode=sui

PROJNAME = melodic

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG} -L${LIB_ZLIB}

LIBS = -lutils -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lprob -lm  -lgdc -lgd -lpng -lz

TEST_OBJS = test.o 

GGMIX_OBJS = ggmix.o

FSL_GLM_OBJS = melhlprfns.o fsl_glm.o

FSL_SBCA_OBJS = melhlprfns.o fsl_sbca.o

FSL_MVLM_OBJS = melhlprfns.o fsl_mvlm.o

FSL_REGFILT_OBJS = melhlprfns.o fsl_regfilt.o

FSL_SCHURPROD_OBJS = melhlprfns.o fsl_schurprod.o

MELODIC_OBJS =  meloptions.o melhlprfns.o melgmix.o meldata.o melpca.o melica.o melreport.o melodic.o 

TESTXFILES = test

XFILES = fsl_glm fsl_sbca fsl_mvlm fsl_regfilt fsl_schurprod melodic

OTHERFILES =

BUILD_SBCA = $(shell [ -f fsl_sbca.cc ]; echo $$?)
ifeq ($(BUILD_SBCA), 0)
	OTHERFILES+=fsl_sbca
endif

BUILD_MVLM = $(shell [ -f fsl_mvlm.cc ]; echo $$?)
ifeq ($(BUILD_MVLM), 0)
        OTHERFILES+=fsl_mvlm
endif

BUILD_SCHUR = $(shell [ -f fsl_schurprod.cc ]; echo $$?)
ifeq ($(BUILD_SCHUR), 0)
	OTHERFILES+=fsl_schurprod
endif

XFILES+=${OTHERFILES}


RUNTCLS = Melodic

SCRIPTS = melodicreport dual_regression

all: ggmix fsl_regfilt fsl_glm melodic ${OTHERFILES}

ggmix: ${GGMIX_OBJS}
	${AR} -r libggmix.a ${GGMIX_OBJS} 

melodic: ${MELODIC_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${MELODIC_OBJS} ${LIBS}

test: ${TEST_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${TEST_OBJS} ${LIBS}

fsl_glm: ${FSL_GLM_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_GLM_OBJS} ${LIBS}

fsl_sbca: ${FSL_SBCA_OBJS}
		$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_SBCA_OBJS} ${LIBS}

fsl_schurprod: ${FSL_SCHURPROD_OBJS}
				$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_SCHURPROD_OBJS} ${LIBS}

fsl_mvlm: ${FSL_MVLM_OBJS}
		$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_MVLM_OBJS} ${LIBS}

fsl_regfilt: ${FSL_REGFILT_OBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${FSL_REGFILT_OBJS} ${LIBS}

=== src/misc_scripts/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = misc_scripts

SCRIPTS = fslecho regscript remove_vols replace_and_average_fmrib linkbedpost ocmr_preproc correct_and_average eddy_correct Text2Vest Vest2Text AnatomicalAverage fsl_abspath fsl_anat

all:

=== src/ptx2/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = fdt

#OPTFLAGS = -ggdb

#ARCHFLAGS = -arch i386
#ARCHLDFLAGS = -arch i386

ifeq ($(FSLMACHTYPE),apple-darwin8-gcc4.0)
        ARCHFLAGS =  -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -I/usr/X11R6/include/
        ARCHLDFLAGS = -Wl,-search_paths_first -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -L/Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib/ 
endif 


USRINCFLAGS = -I${INC_NEWMAT} -I${INC_NEWRAN} -I${INC_CPROB} -I${INC_PROB} -I${INC_BOOST} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_NEWRAN} -L${LIB_CPROB} -L${LIB_PROB} -L${LIB_ZLIB}

DLIBS = -lwarpfns -lbasisfield -lfslsurface  -lfslvtkio -lmeshclass -lnewimage -lutils -lmiscmaths -lnewmat -lnewran -lfslio -lgiftiio -lexpat -lfirst_lib -lniftiio -lznz -lcprob -lutils -lprob -lm -lz


CCOPS=ccops
PTX=probtrackx2
FTB=find_the_biggest
PJ=proj_thresh
FMO=fdt_matrix_ops
FMS=fdt_matrix_split
TEST=testfile

CCOPSOBJS=ccops.o ccopsOptions.o 
PTXOBJS=probtrackx.o probtrackxOptions.o streamlines.o ptx_simple.o ptx_seedmask.o ptx_nmasks.o csv.o csv_mesh.o
FTBOBJS=find_the_biggest.o csv_mesh.o
PJOBJS=proj_thresh.o csv_mesh.o
FMOOBJS=fdt_matrix_ops.o
FMSOBJS=fdt_matrix_split.o
TESTOBJS=testfile.o csv.o csv_mesh.o

SURFDATA=surf_proj
SURFDATAOBJS=surf_proj.o csv.o csv_mesh.o
MATMERGE=fdt_matrix_merge
MATMERGEOBJS=fdt_matrix_merge.o
S2S=surf2surf
S2SOBJS=surf2surf.o csv.o csv_mesh.o
S2V=surf2volume
S2VOBJS=surf2volume.o csv.o csv_mesh.o
L2S=label2surf
L2SOBJS=label2surf.o csv_mesh.o
SM=surfmaths
SMOBJS=surfmaths.o csv_mesh.o


XFILES = probtrackx2 surfmaths surf2surf surf2volume surf_proj label2surf find_the_biggest proj_thresh


all: ${XFILES} 

${CCOPS}:    	${CCOPSOBJS}	
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${CCOPSOBJS} ${DLIBS}

${PTX}:		   ${PTXOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTXOBJS} ${DLIBS}

${FTB}:    	${FTBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FTBOBJS} ${DLIBS} 

${PJ}:    	${PJOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PJOBJS} ${DLIBS} 


${FMO}:    	${FMOOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FMOOBJS} ${DLIBS}

${FMS}:    	${FMSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FMSOBJS} ${DLIBS}

${TEST}:    	${TESTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${TESTOBJS} ${DLIBS}


${SURFDATA}:    ${SURFDATAOBJS}
		${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SURFDATAOBJS} ${DLIBS}

${MATMERGE}:    ${MATMERGEOBJS}
		${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MATMERGEOBJS} ${DLIBS}


${S2S}:         ${S2SOBJS}
		${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${S2SOBJS} ${DLIBS}

${S2V}:         ${S2VOBJS}
		${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${S2VOBJS} ${DLIBS}

${L2S}:         ${L2SOBJS}
		${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${L2SOBJS} ${DLIBS}

${SM}:         ${SMOBJS}
		${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SMOBJS} ${DLIBS}

=== debian/changelog ===
fsl (5.0.4-3~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 24 Aug 2013 13:32:44 -0400

fsl (5.0.4-3) neurodebian; urgency=low

  * debian/patches
    - enanced up_longoptions= to print -o,--option=VALUE i.e. whenever
      both short and long options are available

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Aug 2013 09:07:32 -0400

fsl (5.0.4-2) neurodebian; urgency=low

  * debian/patches
    - added up_longoptions= - print --option=VALUE (instead of --option VALUE)
      in --help output to match expected formatting

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Aug 2013 12:44:51 -0400

fsl (5.0.4-1) neurodebian; urgency=low

  * New upstream release (skipped short-lived 5.0.3):
    - Documentation update
    - Various bugfixes
    - New 'baycest' tool for Bayesian analysis for chemical exchange saturation
      transfer z-spectra
    - New script 'first3Dview' for enabling 3D renderings for new vertex
      analysis results
  * Remove fabber patches -- merged upstream.
  * Use dpkg-buildflags to obtain default compiler flags. This also enables
    various hardening options.
  * Rename 'fsl' to 'fsl-core', 'fsl-5.0' to 'fsl-5.0-core', and 'fsl-doc-5.0'
    to 'fsl-5.0-doc'. See related entry in NEWS for the rational. Appropriate
    transitional dummy packages have been added.
  * Adjusted dependencies to recommend/suggest alternative packages for DICOM
    image conversion and distributed computing.

 -- Michael Hanke <mih@debian.org>  Wed, 08 May 2013 08:38:38 +0200

fsl (5.0.2.2-1) neurodebian; urgency=low

  * New upstream release.
  * Removed fix_imglob patch -- now included upstream.
  * Add patches to fix problems with the fabber component -- courtesy of
    Mark White <mark.white@ucl.ac.uk>
    - was buily without the Oxford ASL forward models
    - --model=xxx --help was broken due to a typo in an #ifdef
  * Improve package description to mention data dependencies for some
    components.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Mar 2013 12:44:10 +0100

fsl (5.0.2-4) neurodebian; urgency=low

  * Removed left-over debug statement that broke fsl_sub again.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-3) neurodebian; urgency=low

  * Modifications of fsl_sub behavior and configuration:
    - Add a configuration option to fsl.sh (FSLCLUSTER_DEFAULT_QUEUE) to
      specify a default queue for job submissions. This can be used to amend
      the default queue selection by resource demands.
    - Fix a bug in the Debian patch where job submission fails when fsl_sub is
      called without -q.
    - Fix a bug to actually honor the FSLCUSTER_MAILOPTS variable when set.
    - Restructure and minimize the upstream diff in fsl_sub to make it less
      likely to break again with future upstream changes.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-2) neurodebian; urgency=low

  * Fix 'imglob' script (courtesy of Matthew Webster) that caused FEAT
    highlevel analyses to fail.
  * Enable OpenMP support for 'eddy' component.
  * Explicitly mention FSL data packages in package description and explain
    where they can be obtained.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.2-1) neurodebian; urgency=low

  * New upstream bugfix release.
  * Updated patch for for new fsl_sub code.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.1-1) neurodebian; urgency=low

  * New upstream bugfix release. It fixes some critical issues with FEAT
    (was crashing) and post-hoc output timecourses in MELODIC.
  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (5.0.0-1) neurodebian; urgency=low

  * New upstream major release. Various new tools, bugfixes and speed
    improvements, as well as new wiki-based documentation.
  * Enable compilation and installation of previously missing and new
    components (Closes: #685486).
  * Added build-dependency on libglu1-mesa-dev and mesa-common-dev for
    fslsurface, as well as libexpatexpat-dev for other new code.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

FSLMAJORVERSION = 5.0

# enable exented globbing in the shell to be able to use more
# sophisticated stuff in dh_install files
SHELL := /bin/bash -O extglob

# get octave paths (have to build-depend on octave-headers)
include /usr/share/octave/debian/defs.make

# This has to be exported to make some magic below work.
export DH_OPTIONS

# specify all FSL projects that shall be built
PROJECTS = \
  utils fslio miscmaths newimage libvis first_lib meshclass fslvtkio \
  misc_tcl basisfield warpfns bint shapeModel MVdisc fslsurface libmeshutils \
  avwutils basil bet2 cluster fast4 feat5 film filmbabe flirt fabber baycest \
  fslvbm mcflirt melodic misc_c miscvis mm randomise siena slicetimer susan \
  tbss fnirt fugue asl_mfree misc_scripts fdt first possum sgeutils flameo \
  oxford_asl qboot topup ptx2 lesions eddy

# specify FSL extras to be built
EXTRAS = libprob libcprob cprob

# set essential config vars for FSL build process
FSLDIR=$(CURDIR)
FSLCONFDIR=$(FSLDIR)/config

# apply to FSL as 'ARCHLDFLAGS'
# 'as-needed' kills everything -- symbols of C libs get confused
# and results change -- remember cprob:gamma()
#LDFLAGS = -Wl,--no-undefined -Wl,--as-needed -L/usr/lib/fsl/lib
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) \
         -Wl,--no-undefined -L/usr/lib/fsl/lib
# default compiler flags
# apply to FSL as 'ANSI_FLAGS'
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) \
        $(shell dpkg-buildflags --get CPPFLAGS) \
        -DHAVE_LIBFREETYPE -fPIC \
        -I/usr/include/nifti \
        -I/usr/include/gifti \
        -I/usr/include/newmat \
        -I$(FSLDIR)/extras/src/libprob -I$(FSLDIR)/extras/src/libcprob \
        -I$(FSLDIR)/src

# where are the internal libs
FSL_LIBRARY_PATH=$(CURDIR)/lib

# install into this directory
DEB_DESTDIR=$(CURDIR)/debian/tmp

# define common environment setup for all make calls
# complicated LD_LIBRARY expression ensures that no
# trailing colon ends up in LD_LIBRARY_PATH
DEB_BUILD_ENV=LD_LIBRARY_PATH=$(FSL_LIBRARY_PATH)$${LD_LIBRARY_PATH:+:$${LD_LIBRARY_PATH}} \
		FSLDIR="$(FSLDIR)" \
		FSLCONFDIR="$(FSLCONFDIR)" \
		DEB_DESTDIR="$(DEB_DESTDIR)" \
		OPTFLAGS="$(OPTFLAGS)" \
		ANSI_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
		DEPENDFLAGS="$(CFLAGS)" \
		ARCHLDFLAGS="$(LDFLAGS)"

controlfiles:
	# inject current FSL major version into all templates
	for f in debian/templates/*; do \
		sed -e "s/#FSLMVERSION#/$(FSLMAJORVERSION)/g" $$f \
			> debian/$$(basename $$f) ; \
	done
	# renamed files that need to have a version-specific name
	for suffix in 1 desktop dirs install links lintian-overrides manpages menu docs; do \
		for prefix in 'core' 'doc'; do \
		[ -f debian/fsl-$$prefix.$$suffix ] &&  \
			mv debian/fsl-$$prefix.$$suffix debian/fsl-$(FSLMAJORVERSION)-$$prefix.$$suffix || true ; \
		done ; \
	done
	# and rename the meta-package files
	for f in debian/meta.*; do \
		target=$$(basename $$f); suffix=$${target#*.} ; \
		mv $$f debian/fsl-core.$$suffix; \
	done

cleancontrolfiles:
	# clean sed'ed files and intermediate rubbish
	for f in debian/templates/*; do\
		rm -f debian/$$(basename $$f) ; \
	done
	rm -f debian/fsl-core.preinst
	# versioned files
	rm -f debian/fsl-$(FSLMAJORVERSION)-{core,doc}.{1,desktop,dirs,install,links,lintian-overrides,manpages,menu,preinst,docs}

# build and install extra
biextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* install

# cleanup extra
cextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* distclean

# build and install sub-project
biproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* install

# cleanup sub-project
cproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* distclean

# build and install all extras
biextras: $(EXTRAS:%=biextra-%)

# clean all extras
cextras: $(EXTRAS:%=cextra-%)
	find extras/src -name '*.o' -delete


instdir:
# FSL does not separate build and install properly
# create temporary install dir now
	if [ ! -d $(DEB_DESTDIR) ]; then mkdir -p $(DEB_DESTDIR); fi
	dh_installdirs

# build and install all sub-projects
biprojs: $(PROJECTS:%=biproj-%)

# cleanup all sub-projects
cprojs: $(PROJECTS:%=cproj-%)


#Architecture
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: instdir biextras biprojs
	dh_testdir

	# fix permissions
	find debian/tmp/tcl/BWidget -type f -exec chmod -x {} \;
	chmod 644 debian/tmp/tcl/*.{tcl,xbm,ppm,ico}
	chmod -x debian/tmp/etc/flirtsch/*

	# cleanup TCL stuff
	rm -r debian/tmp/tcl/BWidget/BWMan/
	find debian/tmp/tcl/BWidget/ -name '*.txt' -delete

	# generate debhelper file to create /usr/bin symlinks and manpage links
	# for all relevant binaries installed by the versioned FSL package
	for f in $$(find debian/tmp/bin \! -type d \! -name Runtcl); do \
		bname=$$(basename $$f); \
		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION)-core.links ; \
		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION)-core.links ; \
	done
	touch $@


clean: cleancontrolfiles controlfiles cextras cprojs
	dh_testdir
	dh_testroot

	# remove leftovers
	find $(CURDIR) -name '*.so' -delete
	-rm src/fdt/{xfibres,fdt_matrix_ops,indexer,replacevols,probtrackx,reord_OM,sausages,probtrack_old,xfibres_pred,rearrange}
	-rm src/feat5/doc/{top.html,feat.tcl}
	-rm -r etc/standard lib

	# clean the remaining temp dir
	rm -rf include

	# finally clean package
	dh_clean

	# fix permissions in the source
	find src/ -name '*.fig' -or -name '*.gif' -exec chmod -x {} \;

	-rm build-stamp


# checks that the included desktop files are ok
validate-desktop-files:
	for f in $(CURDIR)/debian/desktop/*.desktop; do \
		desktop-file-validate $${f} ; \
	done


install: build
	# make FSL logo for menu entries
	convert debian/tmp/tcl/fsl-logo-tiny.ppm \
		-resize x32 -crop 32x32+6+0 debian/tmp/fsl-$(FSLMAJORVERSION).xpm

	# install fsl config
	cp -r -t debian/tmp etc
	# clean useless pieces
	rm debian/tmp/etc/fslconf/fslmachtype.sh
	# do not install license files
	rm debian/tmp/etc/js/LICENSE.txt



# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_installmenu
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# dh_shlibdeps needs access to the private libs
	dh_shlibdeps -l $(FSL_LIBRARY_PATH)
	# get the correct dependency for older octave
	[ -e /usr/bin/octave-depends ] \
        && octave-depends || true
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture independent packages using the common target.
binary-indep: install
	dh_installdirs -i

	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common


# Build architecture dependant packages using the common target.
binary-arch: install
	dh_installdirs -a

	# install the stylesheet
	cp -r doc/fsl.css debian/fsl-$(FSLMAJORVERSION)-core/usr/share/fsl/$(FSLMAJORVERSION)/doc

	# remove previous link to make repeated builds work
	-rm debian/fsl-$(FSLMAJORVERSION)-core/usr/share/fsl/$(FSLMAJORVERSION)/etc/fslconf/{feat.tcl,fsl.sh}

	# set execute permission for GUI application wrapper
	chmod +x debian/fsl_app_wrapper

	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common


binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary

## fsl 5.0.6

=== debian/changelog ===
fsl (5.0.6-2~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Tue, 15 Apr 2014 07:53:16 +0200

fsl (5.0.6-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/control
    - limit build-depends on nvidia-cuda-toolkit only for x86 architectures

  [ Michael Hanke ]
  * Add libpng-dev as an alternative build-dependency to libpng12-dev (Closes:
    #662337).
  * Switch dependencies to plain tcl and tk packages (from tcl8.4/tk8.4).
    This acknowledges the NMU of fsl-4.1 by Sergei Golovan to fix #737187.

 -- Michael Hanke <mih@debian.org>  Mon, 14 Apr 2014 19:00:40 +0200

fsl (5.0.6-1) neurodebian; urgency=low

  * New upstream bugfix release:
    - An error with voxelwise regressors in lower-level FEAT introduced in
      FSL 5.0.5 has been fixed. It is stringly recommend to re-run any
      lower-level FEAT analysis that used voxelwise regressors (e.g. PNM)
      generated with FSL 5.0.5.
    - Bugfixes for POSSUM and the ASL GUI.
  * Downgrade -doc dependency on wikiattachments package from recommended
    to suggested.

 -- Michael Hanke <mih@debian.org>  Fri, 01 Nov 2013 18:16:59 +0100

fsl (5.0.5-1) neurodebian; urgency=low

  * New upstream release.
    - Bedpostx is now CUDA capable for GPU-equipped clusters.
    - Bedpostx now has a gradient non-linearity option.
    - Probtrackx2 can now output an ROIxROI network matrix.
    - Several bugfixes for MELODIC.
    - Multishell qboot bugfix.
  * Re-add dependency on fslview and re-add symlinks (originally removed
    in 4.1.9-1).
  * Add new package fsl-5.0-gpu for the new GPU-accelerated FSL tools.
  * Remove doc wiki attachments from the main source tree (grew to 100MB).
    They are now available from the fsldata source package.
  * Fix bug of using relative paths for menu icons.
  * Bumped Standard version to 3.9.4 -- no changes necessary.
  * Update fix-bashisms patch: oxford_asl requires bash.
  * Fix location of FSL docs. Move from transitional package to new one.
  * Add backport patches to disable CUDA support on the Ubuntu platform.
    It seems that an NVIDIA driver is required to install the CUDA toolkit on
    Ubuntu.

 -- Michael Hanke <mih@debian.org>  Wed, 30 Oct 2013 20:33:24 +0100

=== debian/control ===
Source: fsl
Section: non-free/science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7),
               zlib1g-dev (>= 1.2.2),
               libboost-dev (>= 1.32.0),
               libpng-dev | libpng12-dev (>= 1.2.8rel),
               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
               libnewmat10-dev,
               libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
               liboctave-dev | octave3.2-headers | octave3.0-headers,
               tcl (>=8.4.7),
               imagemagick,
               libnifti-dev (>> 1.1.0-1),
               libgiftiio-dev,
               mesa-common-dev,
               libexpat1-dev | libexpat-dev,
               libglu1-mesa-dev | libglu-dev,
               libgomp1,
               nvidia-cuda-toolkit [amd64 i386],
Standards-Version: 3.9.3
Homepage: http://www.fmrib.ox.ac.uk/fsl/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
XS-Autobuild: yes

Package: fsl
Architecture: all
Depends: fsl-core,
         ${misc:Depends},
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new 'fsl-core'
 package which replaces 'fsl'. This package can safely be removed.
 .
 Users aiming to perform a complete FSL installation (including all data
 components) are advised to install the 'fsl-complete' package from
 NeuroDebian.

Package: fsl-5.0
Architecture: all
Depends: fsl-5.0-core,
         ${misc:Depends}
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new
 'fsl-5.0-core' package which replaces 'fsl-5.0'.
 This package can safely be removed.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.

Package: fsl-doc-5.0
Architecture: all
Depends: fsl-5.0-doc,
         ${misc:Depends}
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new
 'fsl-5.0-doc' package which replaces 'fsl-doc-5.0'.
 This package can safely be removed.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.

Package: fsl-core
Architecture: all
Depends:  fsl-5.0-core,
          ${misc:Depends},
Replaces: fsl (<< 5.0.3)
Breaks: fsl (<< 5.0.3)
Description: metapackage for the latest version of FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 Some FSL components require additional data packages (fsl-atlases,
 fsl-first-data, fsl-possum-data) that are currently available from the
 NeuroDebian repository only. For more information on how to obtain these
 data packages visit http://neuro.debian.net.
 .
 Users aiming to perform a complete FSL installation (including
 all data components) are advised to install the 'fsl-complete'
 package from NeuroDebian.

Package: fsl-5.0-core
Architecture: any
Replaces: fsl-5.0 (<< 5.0.3)
Breaks: fsl-5.0 (<< 5.0.3)
Depends: mozilla-firefox | www-browser,
         tcsh | c-shell,
         tk (>=8.4.7),
         tcl (>=8.4.7),
         bc,
         dc,
         python,
         fslview,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: fsl-5.0-doc (= ${source:Version}),
            fsl-5.0-gpu (= ${binary:Version}),
            fsl-atlases
Suggests: fsl-feeds,
          octave | ${octave:Depends},
          mriconvert | dicomnifti,
          fsl-complete,
          condor | gridengine-client
Conflicts: fsl-fslview,
           fsl-doc-4.1 (<< 4.1.9-5~)
Provides: fsl
Description: analysis tools for FMRI, MRI and DTI brain imaging
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 Some FSL components require additional data packages (fsl-atlases,
 fsl-first-data, fsl-possum-data) that are currently available from the
 NeuroDebian repository only. For more information on how to obtain these
 data packages visit http://neuro.debian.net.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.
 .
 FSL interoperates well with other brain imaging related software. This includes
 Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
 the NIfTI format.

Package: fsl-5.0-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Recommends: fslview-doc
Suggests: fsl-5.0-doc-wikiattachments
Provides: fsl-doc
Replaces: fsl-doc-5.0 (<< 5.0.3)
Breaks: fsl-doc-5.0 (<< 5.0.3)
Description: documentation for FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 FSL is a comprehensive library of image analysis and statistical tools
 for FMRI, MRI and DTI brain imaging data.
 .
 This package provides the FSL documentation in HTML format.

Package: fsl-5.0-gpu
Architecture: amd64 i386
Depends: fsl-5.0-core (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: GPU-accelerated tools for FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 This package provides accelerated versions of some FSL commands to utilize
 NVIDIA's CUDA toolkit.

=== debian/rules ===
--- 
+++ 
@@ -52,17 +52,23 @@
 # install into this directory
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 
+# compile GPU only if building on x86 platform where nvcc present
+COMPILE_GPU:=$(shell which nvcc >/dev/null 2>&1 && echo 1 || echo 0)
+
 # define common environment setup for all make calls
 # complicated LD_LIBRARY expression ensures that no
 # trailing colon ends up in LD_LIBRARY_PATH
 DEB_BUILD_ENV=LD_LIBRARY_PATH=$(FSL_LIBRARY_PATH)$${LD_LIBRARY_PATH:+:$${LD_LIBRARY_PATH}} \
 		FSLDIR="$(FSLDIR)" \
+		FSLDEVDIR="$(FSLDIR)" \
 		FSLCONFDIR="$(FSLCONFDIR)" \
 		DEB_DESTDIR="$(DEB_DESTDIR)" \
 		OPTFLAGS="$(OPTFLAGS)" \
 		ANSI_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
 		DEPENDFLAGS="$(CFLAGS)" \
-		ARCHLDFLAGS="$(LDFLAGS)"
+		ARCHLDFLAGS="$(LDFLAGS)" \
+		COMPILE_GPU="$(COMPILE_GPU)" \
+		CUDA="/usr"
 
 controlfiles:
 	# inject current FSL major version into all templates
@@ -72,7 +78,7 @@
 	done
 	# renamed files that need to have a version-specific name
 	for suffix in 1 desktop dirs install links lintian-overrides manpages menu docs; do \
-		for prefix in 'core' 'doc'; do \
+		for prefix in 'core' 'doc' 'gpu'; do \
 		[ -f debian/fsl-$$prefix.$$suffix ] &&  \
 			mv debian/fsl-$$prefix.$$suffix debian/fsl-$(FSLMAJORVERSION)-$$prefix.$$suffix || true ; \
 		done ; \
@@ -151,8 +157,9 @@
 	# for all relevant binaries installed by the versioned FSL package
 	for f in $$(find debian/tmp/bin \! -type d \! -name Runtcl); do \
 		bname=$$(basename $$f); \
-		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION)-core.links ; \
-		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION)-core.links ; \
+		[[ "$$bname" == *gpu* ]] && ptype="gpu" || ptype="core" ; \
+		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION)-$$ptype.links ; \
+		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION)-$$ptype.links ; \
 	done
 	touch $@
 
@@ -211,6 +218,9 @@
 	dh_installman
 	dh_installdocs
 	dh_installmenu
+	# fixup duplicate GPU tools
+	rm -f debian/fsl-$(FSLMAJORVERSION)-core/usr/lib/fsl/$(FSLMAJORVERSION)/*gpu*
+	rm -f debian/fsl-$(FSLMAJORVERSION)-core/usr/lib/fsl/$(FSLMAJORVERSION)/*cuda*
 	dh_lintian
 	dh_link
 	dh_strip
